/* Инклюд создания автоматов с Газированой водой "Cola" */
/* автор: Morino_Reigan */
/* Скрипт скачан с сайта TownOfGames.ru
Распространять скрипт где-либо, без наличия активной ссылки на townofgames.ru, СТРОГО ЗАПРЕЩЕНО! */
/*  */

stock createAvtomat(type,string[],color,Float:x,Float:y,Float:z,Float:rotx,Float:roty,Float:rotz,virtual=0,price=20)	
	return CallRemoteFunction("a_createAvtomat","issffffffii",type,string,color,Float:x,Float:y,Float:z,Float:rotx,Float:roty,Float:rotz,virtual,price);
stock destroyAvtomat(avtomatid)
	return CallRemoteFunction("a_destroyAvtomat","i",avtomatid);
stock isAvtomatValid(avtomatid)
	return CallRemoteFunction("a_isAvtomatValid","i",avtomatid);
stock updateAvtomat(avtomatid,newtype,newstring[],newcolor,Float:newx,Float:newy,Float:newz,Float:newrotx,Float:newroty,Float:newrotz,newvirtual=0,newprice=20)	
	return CallRemoteFunction("a_updateAvtomat","iisxffffffii",avtomatid,newtype,newstring,newcolor,newx,newy,newz,newrotx,newroty,newrotz,newvirtual,newprice);
stock destroyAllAvtomats()
	return CallRemoteFunction("a_destroyAllAvtomats");

forward OnPlayerDrink(playerid);
forward OnPlayerSmoke(playerid);
forward OnPlayerBuyCigarettes(playerid,avtomatid,price);
forward OnPlayerBuyDrink(playerid,avtomatid,price);

#define AVTOMAT_TYPE_BEER 0
#define AVTOMAT_TYPE_WINE 1
#define AVTOMAT_TYPE_SPRUNK 2
#define AVTOMAT_TYPE_CIGGY 3